Summary:	httplib2 caching for requests
Name:		python3-cachecontrol
Version:	0.14.3
Release:	1
License:	Apache v2
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cachecontrol/
Source0:	https://files.pythonhosted.org/packages/source/c/cachecontrol/cachecontrol-%{version}.tar.gz
# Source0-md5:	13bb06e799622ac80ec3af936ed75de3
URL:		https://pypi.org/project/CacheControl/
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-build
BuildRequires:	python3-flit_core < 4
BuildRequires:	python3-flit_core >= 3.2
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CacheControl is a port of the caching algorithms in httplib2 for use
with requests session object.

It was written because httplib2’s better support for caching is often
mitigated by its lack of thread safety. The same is true of requests
in terms of caching.

%prep
%setup -q -n cachecontrol-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/doesitcache
%dir %{py3_sitescriptdir}/cachecontrol
%{py3_sitescriptdir}/cachecontrol/*.py
%{py3_sitescriptdir}/cachecontrol/__pycache__
%{py3_sitescriptdir}/cachecontrol/py.typed
%dir %{py3_sitescriptdir}/cachecontrol/caches
%{py3_sitescriptdir}/cachecontrol/caches/*.py
%{py3_sitescriptdir}/cachecontrol/caches/__pycache__
%{py3_sitescriptdir}/cachecontrol-%{version}.dist-info
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cachecontrol.git;a=log;h=master

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a04effb
- Up to 0.14.3

* Sun Apr 20 2025 Jan Palus <atler@pld-linux.org> 2e030f7
- new

